NetWin DSMTP (Dmail) ETRN Command Overflow

This script is Copyright (C) 2000-2014 Tenable Network Security, Inc.


Synopsis :

The remote SMTP server has a buffer overflow vulnerability.

Description :

The remote SMTP server is vulnerable to a buffer overflow when the
ETRN command is issued arguments which are too long. A remote attacker
could exploit this to crash the SMTP server, or possibly execute
arbitrary code.

See also :

http://archives.neohapsis.com/archives/bugtraq/2000-05/0407.html

Solution :

Upgrade to the latest version of the SMTP server. If you are using
NetWin DSMTP, upgrade to version 2.7r or later.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 9.5
(CVSS2#E:F/RL:U/RC:ND)
Public Exploit Available : true

Family: SMTP problems

Nessus Plugin ID: 10438 (dmail_overflow.nasl)

Bugtraq ID: 1297

CVE ID: CVE-2000-0490